PACMAN-CONF(8)

NOM
pacman-conf – consulter le fichier de configuration de pacman

SYNOPSIS

pacman-conf [options] [<directive> ...]

pacman-conf (--repo-list|--help|--version)

DESCRIPTION

pacman-conf est un utilitaire pour analyser le fichier de configuration de pacman et renvoyer une sortie adaptée aux scripts. Il a été conçu pour gérer correctement des fonctions de configuration complexes telles que l'interpolation de variables et l'utilisation de la directive « Include ». Il garantit qu'il produit les mêmes valeurs de configuration que celles que pacman utiliserait lui-même.

pacman-conf montre le contenu entièrement résolu du fichier de configuration par défaut, ou, si le nom d'une directive de configuration est indiqué, uniquement le contenu de cette directive.

OPTIONS

-c, --config <chemin>
    Préciser un autre fichier de configuration.

-R, --rootdir <chemin>
    Spécifier un autre répertoire racine d'installation (la valeur par défaut est /).

-r, --repo <dépôt>
    Consulter les options d'un dépôt particulier.

-v, --verbose
    Toujours montrer le nom des directives.

-l, --repo-list
    Lister les dépôts configurés.

-h, --help
    Afficher la syntaxe et les options de la ligne de commande.

-V, --version
    Afficher la version et rendre la main.

EXEMPLES

pacman-conf -r core Usage
    Afficher la valeur de l'option de configuration Usage du dépôt core.

pacman-conf HoldPkg
    Afficher la valeur de l'option de configuration HoldPkg.

VOIR AUSSI

pacman.conf(5)

Consulter le site internet de pacman à l'adresse https://.archlinux.org/pacman/ pour de nouvelles informations sur pacman et ses outils associés.

BOGUES

Bogues ? C'est une blague ; il n'y a pas de bogues dans ce logiciel. Mais s'il y en a, envoyez-les au système de suivi de bogues à l'adresse https://gitlab.archlinux.org/pacman/pacman/-/issues avec des informations spécifiques telles que votre ligne de commande, la nature du bogue et même la base de données du paquetage si cela peut aider.

AUTEURS

Développeurs actuels :

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contributeurs antérieurs majeurs :

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Pour des contributeurs supplémentaires, utiliser git shortlog -s sur le dépôt pacman.git.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.